#!/usr/bin/python3
# -*- coding: utf-8 -*-
# -*- mode: Python -*-


'''

Send only black points
v0.1.0

Use it to stop showing anything i.e. visual silence

Licensed under GNU GPLv3

by cocoa

'''

import sys
from os import path, getcwd
abspath, filename = path.split(path.realpath(__file__ ))
sys.path.insert(0, path.join(abspath,"../lib"))
from clitools import Clitools 

import argparse
argsparser = argparse.ArgumentParser(description="dummy generator")
argsparser.add_argument("-f","--fps",help="Frame Per Second",default=30,type=int)
argsparser.add_argument("-v","--verbose",action="store_true",help="Verbose output")
args        = argsparser.parse_args()


fps       = args.fps
verbose   = args.verbose
looptime  = 1 / fps
shape     = [[400,400,0],[400,400,4],[400,400,0]]
name      = "generator::dummy"
cli       = Clitools({
  "verbose"   : verbose,
  "looptime"  : looptime,
  "name"      : name 
  })

while True:
  cli.startFrame()
  print(shape, flush=True);
  cli.endFrame()

