from __future__ import print_function
import sys 
import time

class Clitools:

  def __init__(self,*initial_data, **kwargs):
    for dictionary in initial_data:
      for key in dictionary:
        setattr(self, key, dictionary[key])
    for key in kwargs:
      setattr(self, key, kwargs[key])

    if not hasattr(self, 'name'):
      self.name = "undefined"
  def debug(self, *args, **kwargs):
      if( self.verbose == False ):
          return
      print(*args, file=sys.stderr, **kwargs)

  def startFrame(self):
    self.timer = time.time()

  def endFrame(self):
    if not self.looptime :
      self.debug( "No looptime provided at init.")
      return
    elapsed = time.time() - self.timer
    if( elapsed < self.looptime ):
      delta = self.looptime - elapsed
      time.sleep( delta )

  def rgb2int(rgb):
    return int('0x%02x%02x%02x' % tuple(rgb),0)

  def msNow():
    return time.time()

